-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/roleicons/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Add class summary buttons to the Raid tab"] = "Add class summary buttons to the Raid tab"
Ld["Add role summary buttons to the Raid tab"] = "Add role summary buttons to the Raid tab"
Ld["Automatically set role and respond to role checks based on your spec"] = "Automatically set role and respond to role checks based on your spec"
Ld["Conqueror"] = "Conqueror"
Ld["Debug the addon"] = "Debug the addon"
Ld["Perform a role check (requires assist or leader)"] = "Perform a role check (requires assist or leader)"
Ld["Players:"] = "Players:"
Ld["Protector"] = "Protector"
Ld["/ri"] = "/ri"
Ld["/rolecheck"] = "/rolecheck"
Ld[" set to "] = " set to "
Ld["Show role icons in chat windows"] = "Show role icons in chat windows"
Ld["Show role icons in HealBot bars"] = "Show role icons in HealBot bars"
Ld["Show role icons in player tooltips"] = "Show role icons in player tooltips"
Ld["Show role icons on the focus frame (default Blizzard frames)"] = "Show role icons on the focus frame (default Blizzard frames)"
Ld["Show role icons on the Raid tab"] = "Show role icons on the Raid tab"
Ld["Show role icons on the target frame (default Blizzard frames)"] = "Show role icons on the target frame (default Blizzard frames)"
Ld["Tier token breakdown:"] = "Tier token breakdown:"
Ld["Unassigned"] = "Unassigned"
Ld["Vanquisher"] = "Vanquisher"


if locale == "frFR" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
La["Conqueror"] = "Conquérant" -- Needs review
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
La["Players:"] = "Joueur:" -- Needs review
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
La["Show role icons in chat windows"] = "Afficher les icônes de rôle dans la fenêtre de discussion" -- Needs review
-- La["Show role icons in HealBot bars"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
La["Unassigned"] = "Non-attribuée" -- Needs review
La["Vanquisher"] = "Vainqueur" -- Needs review

elseif locale == "deDE" then do end
La["Add class summary buttons to the Raid tab"] = "Buttons für Klassenzusammenfassung zum Raid-Tab hinzufügen" -- Needs review
La["Add role summary buttons to the Raid tab"] = "Buttons für Rollenzusammenfassung zum Raid-Tab hinzufügen" -- Needs review
La["Automatically set role and respond to role checks based on your spec"] = "Automatisch Rolle festlegen und auf Rollen-Checks reagieren, basierend auf deiner Skillung" -- Needs review
La["Conqueror"] = "Eroberer" -- Needs review
La["Debug the addon"] = "Addon debuggen" -- Needs review
La["Perform a role check (requires assist or leader)"] = "Einen Rollencheck durchführen (benötigt Assist oder Gruppenleiter)" -- Needs review
La["Players:"] = "Spieler:" -- Needs review
La["Protector"] = "Beschützer" -- Needs review
La["/ri"] = "/ri" -- Needs review
La["/rolecheck"] = "/rolecheck" -- Needs review
La[" set to "] = "Setze zu" -- Needs review
La["Show role icons in chat windows"] = "Rollenicons im Chatfenster anzeigen " -- Needs review
La["Show role icons in HealBot bars"] = "Rollenicons in HealBot-Buttons anzeigen" -- Needs review
La["Show role icons in player tooltips"] = "Rollenicons im Spielertooltip anzeigen" -- Needs review
La["Show role icons on the focus frame (default Blizzard frames)"] = "Rollenicons am Focus-Frame anzeigen (Standard Blizzard-Frame)" -- Needs review
La["Show role icons on the Raid tab"] = "Rollenicons am Raid-Tab anzeigen" -- Needs review
La["Show role icons on the target frame (default Blizzard frames)"] = "Rollenicons an Ziel-Frame anzeigen (Standard Blizzard-Frame)" -- Needs review
La["Tier token breakdown:"] = "T-Token Übersicht:" -- Needs review
La["Unassigned"] = "Unbestimmt" -- Needs review
La["Vanquisher"] = "Bezwinger" -- Needs review

elseif locale == "koKR" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in HealBot bars"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "esMX" then do end
La["Add class summary buttons to the Raid tab"] = "Añadir al panel de banda los botones de resúmenes de clases"
La["Add role summary buttons to the Raid tab"] = "Añadir al panel de banda los botones de resúmenes de funciones"
La["Automatically set role and respond to role checks based on your spec"] = "Automáticamente establecer el función y responder al comprobaciones de funciones de acuerdo a especialización"
La["Conqueror"] = "Conquistador"
La["Debug the addon"] = "Depurar el addon"
La["Perform a role check (requires assist or leader)"] = "Realizar un comprobación de funciones (requiere Líder o Ayudante)"
La["Players:"] = "Jugadores:"
La["Protector"] = "Protector"
La["/ri"] = "/if"
La["/rolecheck"] = "/compfunciones"
La[" set to "] = " estableció a "
La["Show role icons in chat windows"] = "Mostrar iconos de función en la ventana de chat"
La["Show role icons in HealBot bars"] = "Mostrar iconos de función en las barras de HealBot"
La["Show role icons in player tooltips"] = "Mostrar iconos de función en los tooltips de jugadores"
La["Show role icons on the focus frame (default Blizzard frames)"] = "Mostrar iconos de función en el marco enfocado de Blizzard"
La["Show role icons on the Raid tab"] = "Mostrar iconos de función en el panel de banda"
La["Show role icons on the target frame (default Blizzard frames)"] = "Mostrar iconos de función en el marco de objetivo de Blizzard"
La["Tier token breakdown:"] = "Desglose de fichas de niveles:"
La["Unassigned"] = "Sin asignación"
La["Vanquisher"] = "Vencedor"

elseif locale == "ruRU" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in HealBot bars"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "zhCN" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in HealBot bars"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "esES" then do end
La["Add class summary buttons to the Raid tab"] = "Añadir al panel de banda los botones de resúmenes de clases"
La["Add role summary buttons to the Raid tab"] = "Añadir al panel de banda los botones de resúmenes de funciones"
La["Automatically set role and respond to role checks based on your spec"] = "Automáticamente establecer el función y responder al comprobaciones de funciones de acuerdo a especialización"
La["Conqueror"] = "Conquistador"
La["Debug the addon"] = "Depurar el addon"
La["Perform a role check (requires assist or leader)"] = "Realizar un comprobación de funciones (requiere Líder o Ayudante)"
La["Players:"] = "Jugadores:"
La["Protector"] = "Protector"
La["/ri"] = "/if"
La["/rolecheck"] = "/compfunciones"
La[" set to "] = " estableció a "
La["Show role icons in chat windows"] = "Mostrar iconos de función en la ventana de chat"
La["Show role icons in HealBot bars"] = "Mostrar iconos de función en las barras de HealBot"
La["Show role icons in player tooltips"] = "Mostrar iconos de función en los tooltips de jugadores"
La["Show role icons on the focus frame (default Blizzard frames)"] = "Mostrar iconos de función en el marco enfocado de Blizzard"
La["Show role icons on the Raid tab"] = "Mostrar iconos de función en el panel de banda"
La["Show role icons on the target frame (default Blizzard frames)"] = "Mostrar iconos de función en el marco de objetivo de Blizzard"
La["Tier token breakdown:"] = "Desglose de fichas de niveles:"
La["Unassigned"] = "Sin asignación"
La["Vanquisher"] = "Vencedor"

elseif locale == "zhTW" then do end
La["Add class summary buttons to the Raid tab"] = "增加職業統計按鈕到團隊標籤"
La["Add role summary buttons to the Raid tab"] = "增加角色類型統計按鈕到團隊標籤"
La["Automatically set role and respond to role checks based on your spec"] = "基於您的天賦自動設定角色類型與回應角色確認。"
La["Conqueror"] = "征服者"
La["Debug the addon"] = "插件除錯"
La["Perform a role check (requires assist or leader)"] = "執行角色類型檢查(需要助理或領隊)"
La["Players:"] = "玩家："
La["Protector"] = "保衛者"
La["/ri"] = "/ri"
La["/rolecheck"] = "/角色確認" -- Needs review
La[" set to "] = "設定為"
La["Show role icons in chat windows"] = "在聊天視窗中顯示角色類型圖示"
La["Show role icons in HealBot bars"] = "顯示角色類型圖標在HealBot條上"
La["Show role icons in player tooltips"] = "在玩家提示中顯示角色類型圖示"
La["Show role icons on the focus frame (default Blizzard frames)"] = "顯示角色類型圖示在焦點框體中(預設的暴雪框體)"
La["Show role icons on the Raid tab"] = "在團隊標籤中顯示角色類型圖示"
La["Show role icons on the target frame (default Blizzard frames)"] = "顯示角色類型圖示在目標框體中(預設的暴雪框體)"
La["Tier token breakdown:"] = "套裝兌換通貨分解："
La["Unassigned"] = "未分配"
La["Vanquisher"] = "鎮壓者"

elseif locale == "ptBR" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in HealBot bars"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "itIT" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in HealBot bars"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

end
